Debian Bug report logs -
#777184
ltsp-client: insserv: script ltsp-client-setup: service ltsp-client-setup already provided!
Reported by: Andreas Beckmann <anbe@debian.org>
Date: Fri, 6 Feb 2015 01:03:02 UTC
Severity: serious
Tags: jessie, patch, wheezy
Found in versions ltsp/5.5.4-2, ltsp/5.4.2-6+deb7u1
Fixed in version ltsp/5.5.4-3
Done: Vagrant Cascadian <vagrant@debian.org>
Bug is archived. No further changes may be made.
Toggle useless messages
Report forwarded
to debian-bugs-dist@lists.debian.org, LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#777184; Package ltsp-client.
(Fri, 06 Feb 2015 01:03:08 GMT) (full text, mbox, link).
Acknowledgement sent
to Andreas Beckmann <anbe@debian.org>:
New Bug report received and forwarded. Copy sent to LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>.
(Fri, 06 Feb 2015 01:03:08 GMT) (full text, mbox, link).
Message #5 received at submit@bugs.debian.org (full text, mbox, reply):
[Message part 1 (text/plain, inline)]
Package: ltsp-client
Version: 5.5.4-2
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts
Hi,
during a test with piuparts I noticed your package failed to upgrade
from lenny -> squeeze -> wheezy -> jessie
>From the attached log (scroll to the bottom...):
insserv: script ltsp-client-setup: service ltsp-client-setup already provided!
I would guess an old initscript from an ancient package is still sitting around,
and now a new initscript with a different name providing the same facility was added.
May be a candidate for 'dpkg-maintscript-helper rc_conffile'.
If you can analyze where the conflicting scripts come from, I'll help looking for
the proper fix.
cheers,
Andreas
[ltsp-client_5.5.4-2.log.gz (application/gzip, attachment)]
Information forwarded
to debian-bugs-dist@lists.debian.org, LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#777184; Package ltsp-client.
(Sat, 07 Feb 2015 18:39:23 GMT) (full text, mbox, link).
Acknowledgement sent
to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>.
(Sat, 07 Feb 2015 18:39:23 GMT) (full text, mbox, link).
Message #10 received at 777184@bugs.debian.org (full text, mbox, reply):
[Message part 1 (text/plain, inline)]
Control: reassign -1 ltsp-client-core
On 2015-02-05, Andreas Beckmann wrote:
> during a test with piuparts I noticed your package failed to upgrade
> from lenny -> squeeze -> wheezy -> jessie
Wow, oldoldstable! Have to delve deep into the fog for this one...
>>From the attached log (scroll to the bottom...):
>
> insserv: script ltsp-client-setup: service ltsp-client-setup already provided!
>
> I would guess an old initscript from an ancient package is still sitting around,
> and now a new initscript with a different name providing the same facility was added.
>
> May be a candidate for 'dpkg-maintscript-helper rc_conffile'.
>
> If you can analyze where the conflicting scripts come from, I'll help looking for
> the proper fix.
Thanks for the report.
Looks like ltsp-client-core dropped the ltsp-client-setup init script in
wheezy, so the problem appears to be in the transition from squeeze
(ltsp 5.2.4-2) to wheezy (ltsp 5.4.2-6+deb7u1). Though your piuparts run
successfully upgraded to wheezy; perhaps jessie is less forgiving for
some reason.
I don't have a lot of time the next couple days to look into a proper
fix; any help would be appreciated.
live well,
vagrant
[signature.asc (application/pgp-signature, inline)]
No longer marked as found in versions ltsp/5.5.4-2.
Request was from Vagrant Cascadian <vagrant@debian.org>
to 777184-submit@bugs.debian.org.
(Sat, 07 Feb 2015 18:39:24 GMT) (full text, mbox, link).
Information forwarded
to debian-bugs-dist@lists.debian.org, LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#777184; Package ltsp-client-core.
(Mon, 09 Feb 2015 09:30:05 GMT) (full text, mbox, link).
Acknowledgement sent
to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>.
(Mon, 09 Feb 2015 09:30:05 GMT) (full text, mbox, link).
Message #19 received at 777184@bugs.debian.org (full text, mbox, reply):
[Message part 1 (text/plain, inline)]
Control: tags -1 patch
On 2015-02-05, Andreas Beckmann wrote:
> during a test with piuparts I noticed your package failed to upgrade
> from lenny -> squeeze -> wheezy -> jessie
>
>>From the attached log (scroll to the bottom...):
>
> insserv: script ltsp-client-setup: service ltsp-client-setup already provided!
>
> I would guess an old initscript from an ancient package is still sitting around,
> and now a new initscript with a different name providing the same facility was added.
>
> May be a candidate for 'dpkg-maintscript-helper rc_conffile'.
>
> If you can analyze where the conflicting scripts come from, I'll help looking for
> the proper fix.
The lenny and squeeze versions shipped /etc/init.d/ltsp-client-setup
(and /etc/default/ltsp-client-setup), but is no longer used by ltsp, and
could actually be harmful! I suspect many LTSP installations re-install
LTSP chroots rather than upgrade, which has probably hidden the issue
over the years...
The following patch removes the init script and corresponding
configuration file:
commit 65cd653d4a6050611f7e542ddd9d588e5e98d8ae
Author: Vagrant Cascadian <vagrant@debian.org>
Date: Mon Feb 9 01:22:26 2015 -0800
Remove obsolete ltsp-client-setup init script and configuration file
using dpkg-maintscript-helper (Closes: #777184).
diff --git a/ltsp-client-core.postinst b/ltsp-client-core.postinst
new file mode 100755
index 0000000..2e56ab5
--- /dev/null
+++ b/ltsp-client-core.postinst
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+rm_conffile_files="/etc/init.d/ltsp-client-setup /etc/default/ltsp-client-setup"
+for conffile in $rm_conffile_files ; do
+ dpkg-maintscript-helper rm_conffile \
+ $conffile 5.5.4-3~ ltsp-client-core -- "$@"
+done
+
+#DEBHELPER#
diff --git a/ltsp-client-core.preinst b/ltsp-client-core.preinst
new file mode 100755
index 0000000..2e56ab5
--- /dev/null
+++ b/ltsp-client-core.preinst
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+rm_conffile_files="/etc/init.d/ltsp-client-setup /etc/default/ltsp-client-setup"
+for conffile in $rm_conffile_files ; do
+ dpkg-maintscript-helper rm_conffile \
+ $conffile 5.5.4-3~ ltsp-client-core -- "$@"
+done
+
+#DEBHELPER#
diff --git a/ltsp-client-core.prerm b/ltsp-client-core.prerm
new file mode 100755
index 0000000..2e56ab5
--- /dev/null
+++ b/ltsp-client-core.prerm
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -e
+
+rm_conffile_files="/etc/init.d/ltsp-client-setup /etc/default/ltsp-client-setup"
+for conffile in $rm_conffile_files ; do
+ dpkg-maintscript-helper rm_conffile \
+ $conffile 5.5.4-3~ ltsp-client-core -- "$@"
+done
+
+#DEBHELPER#
live well,
vagrant
[signature.asc (application/pgp-signature, inline)]
Added tag(s) patch.
Request was from Vagrant Cascadian <vagrant@debian.org>
to 777184-submit@bugs.debian.org.
(Mon, 09 Feb 2015 09:30:05 GMT) (full text, mbox, link).
Information forwarded
to debian-bugs-dist@lists.debian.org, LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#777184; Package ltsp-client-core.
(Tue, 10 Feb 2015 13:54:05 GMT) (full text, mbox, link).
Acknowledgement sent
to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>.
(Tue, 10 Feb 2015 13:54:05 GMT) (full text, mbox, link).
Message #26 received at 777184@bugs.debian.org (full text, mbox, reply):
On 2015-02-09 10:26, Vagrant Cascadian wrote:
> The lenny and squeeze versions shipped /etc/init.d/ltsp-client-setup
> (and /etc/default/ltsp-client-setup), but is no longer used by ltsp, and
> could actually be harmful! I suspect many LTSP installations re-install
> LTSP chroots rather than upgrade, which has probably hidden the issue
> over the years...
If it's potentially harmful, you should consider fixing this in stable, too.
> The following patch removes the init script and corresponding
> configuration file:
Do you have the packaging in git somewhwere available?
debcheckout only tries to fetch some not working bzr.
Anyway, I applied your patch, rebuilt the package and fed it through
piuparts - that seems to have worked and fixed the issue.
a 2-line ltsp-client-core.maintscript file should have been even easier:
rm_conffile /etc/init.d/ltsp-client-setup 5.5.4-3~
rm_conffile /etc/default/ltsp-client-setup 5.5.4-3~
Andreas
Information forwarded
to debian-bugs-dist@lists.debian.org, LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#777184; Package ltsp-client-core.
(Tue, 10 Feb 2015 19:36:11 GMT) (full text, mbox, link).
Acknowledgement sent
to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>.
(Tue, 10 Feb 2015 19:36:11 GMT) (full text, mbox, link).
Message #31 received at 777184@bugs.debian.org (full text, mbox, reply):
[Message part 1 (text/plain, inline)]
On 2015-02-10, Andreas Beckmann wrote:
> On 2015-02-09 10:26, Vagrant Cascadian wrote:
>> The lenny and squeeze versions shipped /etc/init.d/ltsp-client-setup
>> (and /etc/default/ltsp-client-setup), but is no longer used by ltsp, and
>> could actually be harmful! I suspect many LTSP installations re-install
>> LTSP chroots rather than upgrade, which has probably hidden the issue
>> over the years...
>
> If it's potentially harmful, you should consider fixing this in
> stable, too.
True enough.
>> The following patch removes the init script and corresponding
>> configuration file:
>
> Do you have the packaging in git somewhwere available?
> debcheckout only tries to fetch some not working bzr.
The Vcs-Bzr just includes the debian dir, not the upstream part of the
code.
I use git-remote-bzr to checkout the upstream code, and then
git-remote-bzr to checkout a debian dir. It's a bit clumsy to work with,
but still that way mostly for historical reasons...
> Anyway, I applied your patch, rebuilt the package and fed it through
> piuparts - that seems to have worked and fixed the issue.
>
> a 2-line ltsp-client-core.maintscript file should have been even easier:
>
> rm_conffile /etc/init.d/ltsp-client-setup 5.5.4-3~
> rm_conffile /etc/default/ltsp-client-setup 5.5.4-3~
Thanks for the suggestion; that looks much simpler! Committed a new
version with just the ltsp-client-core.maintscript.
live well,
vagrant
[signature.asc (application/pgp-signature, inline)]
Information stored
:
Bug#777184; Package ltsp-client-core.
(Wed, 11 Feb 2015 22:39:04 GMT) (full text, mbox, link).
Acknowledgement sent
to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and filed, but not forwarded.
(Wed, 11 Feb 2015 22:39:04 GMT) (full text, mbox, link).
Message #36 received at 777184-quiet@bugs.debian.org (full text, mbox, reply):
[Message part 1 (text/plain, inline)]
Control: found -1 5.5.4-2
Control: found -1 5.4.2-6+deb7u1
On 2015-02-10, Andreas Beckmann wrote:
> On 2015-02-09 10:26, Vagrant Cascadian wrote:
>> The lenny and squeeze versions shipped /etc/init.d/ltsp-client-setup
>> (and /etc/default/ltsp-client-setup), but is no longer used by ltsp, and
>> could actually be harmful! I suspect many LTSP installations re-install
>> LTSP chroots rather than upgrade, which has probably hidden the issue
>> over the years...
>
> If it's potentially harmful, you should consider fixing this in stable, too.
That old script mounts tmpfs dirs in various places such as /var/log and
some dirs in /etc...
Marking versions affected.
live well,
vagrant
[signature.asc (application/pgp-signature, inline)]
Marked as found in versions ltsp/5.5.4-2.
Request was from Vagrant Cascadian <vagrant@debian.org>
to 777184-quiet@bugs.debian.org.
(Wed, 11 Feb 2015 22:39:04 GMT) (full text, mbox, link).
Marked as found in versions ltsp/5.4.2-6+deb7u1.
Request was from Vagrant Cascadian <vagrant@debian.org>
to 777184-quiet@bugs.debian.org.
(Wed, 11 Feb 2015 22:39:05 GMT) (full text, mbox, link).
Reply sent
to Vagrant Cascadian <vagrant@debian.org>:
You have taken responsibility.
(Thu, 12 Feb 2015 23:06:13 GMT) (full text, mbox, link).
Notification sent
to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer.
(Thu, 12 Feb 2015 23:06:13 GMT) (full text, mbox, link).
Message #45 received at 777184-close@bugs.debian.org (full text, mbox, reply):
Source: ltsp
Source-Version: 5.5.4-3
We believe that the bug you reported is fixed in the latest version of
ltsp, which is due to be installed in the Debian FTP archive.
A summary of the changes between this version and the previous one is
attached.
Thank you for reporting the bug, which will now be closed. If you
have further comments please address them to 777184@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.
Debian distribution maintenance software
pp.
Vagrant Cascadian <vagrant@debian.org> (supplier of updated ltsp package)
(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512
Format: 1.8
Date: Thu, 12 Feb 2015 14:22:07 -0800
Source: ltsp
Binary: ltsp-server ltsp-server-standalone ltsp-client-core ltsp-client ltsp-client-builder
Architecture: source all
Version: 5.5.4-3
Distribution: unstable
Urgency: medium
Maintainer: LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>
Changed-By: Vagrant Cascadian <vagrant@debian.org>
Description:
ltsp-client - complete LTSP client environment
ltsp-client-builder - build an LTSP environment in the installer target (udeb)
ltsp-client-core - basic LTSP client environment
ltsp-server - basic LTSP server environment
ltsp-server-standalone - complete LTSP server environment
Closes: 767764 777184
Changes:
ltsp (5.5.4-3) unstable; urgency=medium
.
* Add debian/ltsp-client-core.maintscript to remove obsolete
/etc/init.d/ltsp-client-setup and /etc/default/ltsp-client-setup
leftover from squeeze upgrades (Closes: #777184). Thanks to Andreas
Beckmann!
.
* Apply patch from upstream to no longer remove nouveau_vieux driver on
boot, which is terribly hackish and no longer appropriate with current
versions of LDM (Closes: #767764).
Checksums-Sha1:
7c45c51a77df697a66fdac8ada65650158f9bf04 2285 ltsp_5.5.4-3.dsc
1286328b713917e3554e133f74db85ba9d06793d 77324 ltsp_5.5.4-3.debian.tar.xz
ad0669a58db5849cd1b3accd248d3dbb16a01583 266018 ltsp-server_5.5.4-3_all.deb
06efec1ca554609f91aea25bb76573b20fb23511 146194 ltsp-server-standalone_5.5.4-3_all.deb
7772333f0a90086e1cf9b48cd70c4c94f4f43dbe 11124 ltsp-client-builder_5.5.4-3_all.udeb
Checksums-Sha256:
f8a6d0983ebe896a89e42c682fdcb568c65ee4220e2486c4898d85ef0b5d133f 2285 ltsp_5.5.4-3.dsc
6e1439b6aa1c176bdb7384a03fc7cc8f326ad35ba43ef4351c94524b702ab27c 77324 ltsp_5.5.4-3.debian.tar.xz
c5ab7a9ab3e034a004a550ef3894b5e795c797eca354bd252ae8e22d293ac2fe 266018 ltsp-server_5.5.4-3_all.deb
6b410e19c567f335bff9941f83211136197d3655fcfe91738ae4d627e0618c01 146194 ltsp-server-standalone_5.5.4-3_all.deb
2d1ab382b8ef6899c8b91114902f382f39459a1d2bad785ef3070b39118a114f 11124 ltsp-client-builder_5.5.4-3_all.udeb
Files:
c7c9bc88cfd3288cb899918e0c098217 2285 misc extra ltsp_5.5.4-3.dsc
adea51d0ddb89022125e361994535280 77324 misc extra ltsp_5.5.4-3.debian.tar.xz
2b4b03669eb116e5efc4a9c7180add02 266018 misc extra ltsp-server_5.5.4-3_all.deb
aca8ec5e53c95d48e2e7cbdac8d9efda 146194 misc extra ltsp-server-standalone_5.5.4-3_all.deb
377df414f1d784ce837fc386e676bb0c 11124 debian-installer extra ltsp-client-builder_5.5.4-3_all.udeb
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1
iQIcBAEBCgAGBQJU3ShuAAoJELeLgtSBS5G20IsQAKuR8mJmYlPU5CJCyIGblDmQ
9bPCxq0byImGuqIsLtuUofYj0lojrXYqTuEiPHsE4VDCIvh+9ro7ywd/byDtrkqx
yEJVUW+XJhKyyexeUQwHIDaHJI/8UYHpE2ddl6oCAQBqVH1tqiMBTr0j2K04Eqw8
lDHPYMR2n3Iolv5YLP7xQ5DzG65gbYfmUYaKy8wmesvSH/6W9/WS+ClDtE0XqewI
t3z3rK5YHFwHeb4me/Lb7/2x6Z55NOpXS/DF2FGXUiB7GCuOiPPpYyE6dcQWHuNC
abZ70S/OlDUTQ2oQKBaMl5Wr93ehjakH9W2I83WjHdQ7RKBc87Ath1Zei2b7+80O
tGvvbHdiiOqJ19eJosN8I65iJvgD48zuTol82Bg1a3hGRuxFS0FR1KP6i0r3Khxs
6JcJrpVgCwdNqmRD/WOLnKgW3dnJ2VM1EBJIgvASH4ONFZE3VkZD866Lehea4GPk
cygl4TvVHIUQD/jh492FZXnpzHYKSgYdTmMQxvGqsEUF4h8ICpaRIAxOqZRS1erh
8Sw2NQ+a2GqH7KvT7Bb72NI9gIXop29gam8W9Mf6C4Dj1FKQzgpMszPq/EChTMAR
ss4b11+mqcc18jlhyIbcFECJGfvWHNiUKgBI3Z+VPHkpNQnM6X7ZBlEatWxm9ZRe
Q2h/Wtj1sJr55CIrSr0p
=rLYx
-----END PGP SIGNATURE-----
Bug archived.
Request was from Debbugs Internal Request <owner@bugs.debian.org>
to internal_control@bugs.debian.org.
(Sun, 26 Apr 2015 07:55:46 GMT) (full text, mbox, link).
Bug unarchived.
Request was from Andreas Beckmann <anbe@debian.org>
to control@bugs.debian.org.
(Sun, 19 Jul 2015 12:42:07 GMT) (full text, mbox, link).
Added tag(s) wheezy and jessie.
Request was from Andreas Beckmann <anbe@debian.org>
to control@bugs.debian.org.
(Sun, 19 Jul 2015 12:42:08 GMT) (full text, mbox, link).
Information forwarded
to debian-bugs-dist@lists.debian.org, LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#777184; Package ltsp-client-core.
(Sun, 19 Jul 2015 13:03:07 GMT) (full text, mbox, link).
Acknowledgement sent
to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>.
(Sun, 19 Jul 2015 13:03:08 GMT) (full text, mbox, link).
Message #56 received at 777184@bugs.debian.org (full text, mbox, reply):
[Message part 1 (text/plain, inline)]
Followup-For: Bug #777184
Hi Vagrant,
I just remembered that the conffile removal for the obsolete and
potentially harmful initscript should be backported to wheezy ...
Attached is a patch and in my tests in piuparts this seems to work fine.
We cannot use .mainscript files in wheezy, so there are 4 maintainer
scripts added/changed instead.
Andreas
[ltsp_5.4.2-6+deb7u2.dsc.diff (text/x-diff, attachment)]
Information forwarded
to debian-bugs-dist@lists.debian.org, LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#777184; Package ltsp-client-core.
(Sun, 19 Jul 2015 13:27:08 GMT) (full text, mbox, link).
Acknowledgement sent
to Vagrant Cascadian <vagrant@debian.org>:
Extra info received and forwarded to list. Copy sent to LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>.
(Sun, 19 Jul 2015 13:27:08 GMT) (full text, mbox, link).
Message #61 received at 777184@bugs.debian.org (full text, mbox, reply):
[Message part 1 (text/plain, inline)]
On 2015-07-19, Debian Bug Tracking System wrote:
> Processing commands for control@bugs.debian.org:
...
>> tags 777184 + wheezy jessie
> Bug #777184 {Done: Vagrant Cascadian <vagrant@debian.org>} [ltsp-client-core] ltsp-client: insserv: script ltsp-client-setup: service ltsp-client-setup already provided!
> Added tag(s) wheezy and jessie.
This is fixed in jessie already, unless I misunderstand the purpose of
the tag? Or is there some unresolved issue on jessie?
Thanks!
live well,
vagrant
[signature.asc (application/pgp-signature, inline)]
Information forwarded
to debian-bugs-dist@lists.debian.org, LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>:
Bug#777184; Package ltsp-client-core.
(Sun, 19 Jul 2015 14:39:03 GMT) (full text, mbox, link).
Acknowledgement sent
to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to LTSP Debian Maintainers <pkg-ltsp-devel@lists.alioth.debian.org>.
(Sun, 19 Jul 2015 14:39:03 GMT) (full text, mbox, link).
Message #66 received at 777184@bugs.debian.org (full text, mbox, reply):
On 2015-07-19 15:24, Vagrant Cascadian wrote:
>>> tags 777184 + wheezy jessie
> This is fixed in jessie already, unless I misunderstand the purpose of
> the tag? Or is there some unresolved issue on jessie?
Having it tagged wheezy should prevent auto-closing by the BTS as long
as it is (only) fixed in jessie+.
But if I tag it wheezy only it implies it does (or did) not apply to any
other release at all (regardless of found+fixed versions), which is not
correct. It's fine in jessie, since a fixed version is there (and the
tag does not override this).
Andreas
Bug archived.
Request was from Debbugs Internal Request <owner@bugs.debian.org>
to internal_control@bugs.debian.org.
(Thu, 29 Dec 2016 09:34:35 GMT) (full text, mbox, link).
Send a report that this bug log contains spam.
Debian bug tracking system administrator <owner@bugs.debian.org>.
Last modified:
Sat Jul 1 13:06:05 2023;
Machine Name:
buxtehude
Debian Bug tracking system
Debbugs is free software and licensed under the terms of the GNU
Public License version 2. The current version can be obtained
from https://bugs.debian.org/debbugs-source/.
Copyright © 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd,
1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.